顺丰截图报错,但手机号和快递单号没有问题

20220108_110646,顺丰快递(近3个月左右单号),当前进度:6/7 ,正在查询的单号为 [Z1122-30-2021-10-GL-3] 20220108_110649,顺丰快递(近3个月左右单号),正在输入单号进行查询
20220108_110650,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

20220108_110651,顺丰快递(近3个月左右单号),【模式一:图片滑块验证模式】
20220108_110652,顺丰快递(近3个月左右单号),第 1 次尝试解析滑动验证码
20220108_110654,顺丰快递(近3个月左右单号),解析成功,正在模拟滑动验证码···
20220108_110708,顺丰快递(近3个月左右单号),获取物流地图
20220108_110708,顺丰快递(近3个月左右单号),该单号可能为【错误单号或者手机号后4位不正确】,无法返回物流地图信息!
20220108_110708,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 363, in get_map
File "selenium\webdriver\remote\webdriver.py", line 634, in execute_script
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.JavascriptException: Message: TypeError: document.getElementsByClassName(...)[0] is undefined

20220108_110709,顺丰快递(近3个月左右单号),在 [ get_map ] 位置出现错误,可提交此处截图或者 log 文件给作者
20220108_110709,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 40, in wrapper
File "module\b_sfkuaidi.py", line 368, in get_map
File "selenium\webdriver\remote\webdriver.py", line 634, in execute_script
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.JavascriptException: Message: TypeError: document.getElementsByClassName(...)[0] is undefined

20220108_110709,顺丰快递(近3个月左右单号),获取物流节点信息和截图
20220108_110709,顺丰快递(近3个月左右单号),该单号可能为错误单号,无法返回物流地图信息!
20220108_110709,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 387, in get_route_info
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="delivery"]/div[1]

20220108_110709,顺丰快递(近3个月左右单号),在 [ get_route_info ] 位置出现错误,可提交此处截图或者 log 文件给作者
20220108_110709,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 40, in wrapper
File "module\b_sfkuaidi.py", line 392, in get_route_info
UnboundLocalError: local variable 'delivery_map' referenced before assignment

20220108_110709,顺丰快递(近3个月左右单号),正在获取运单详情
20220108_110709,顺丰快递(近3个月左右单号),当前扫码的微信号与该单号对应的寄件人或收件人手机号可能不符合,无法获取运单详情
20220108_110709,顺丰快递(近3个月左右单号),verify_ok = True
20220108_110709,顺丰快递(近3个月左右单号),单号 [Z1122-30-2021-10-GL-3] 查询用时约 22.2952 秒

20220108_110709,顺丰快递(近3个月左右单号),数据获取失败,未扣除积分!
20220108_110709,顺丰快递(近3个月左右单号),当前进度:7/7 ,正在查询的单号为 [Z1122-30-2021-10-GL-8] 20220108_110711,顺丰快递(近3个月左右单号),正在输入单号进行查询
20220108_110712,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

20220108_110713,顺丰快递(近3个月左右单号),【模式一:图片滑块验证模式】
20220108_110714,顺丰快递(近3个月左右单号),第 1 次尝试解析滑动验证码
20220108_110716,顺丰快递(近3个月左右单号),解析成功,正在模拟滑动验证码···
20220108_110730,顺丰快递(近3个月左右单号),获取物流地图
20220108_110730,顺丰快递(近3个月左右单号),该单号可能为【错误单号或者手机号后4位不正确】,无法返回物流地图信息!
20220108_110730,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 363, in get_map
File "selenium\webdriver\remote\webdriver.py", line 634, in execute_script
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.JavascriptException: Message: TypeError: document.getElementsByClassName(...)[0] is undefined

20220108_110731,顺丰快递(近3个月左右单号),在 [ get_map ] 位置出现错误,可提交此处截图或者 log 文件给作者
20220108_110731,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 40, in wrapper
File "module\b_sfkuaidi.py", line 368, in get_map
File "selenium\webdriver\remote\webdriver.py", line 634, in execute_script
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.JavascriptException: Message: TypeError: document.getElementsByClassName(...)[0] is undefined

20220108_110731,顺丰快递(近3个月左右单号),获取物流节点信息和截图
20220108_110731,顺丰快递(近3个月左右单号),该单号可能为错误单号,无法返回物流地图信息!
20220108_110731,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 387, in get_route_info
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="delivery"]/div[1]

20220108_110731,顺丰快递(近3个月左右单号),在 [ get_route_info ] 位置出现错误,可提交此处截图或者 log 文件给作者
20220108_110731,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 40, in wrapper
File "module\b_sfkuaidi.py", line 392, in get_route_info
UnboundLocalError: local variable 'delivery_map' referenced before assignment

20220108_110731,顺丰快递(近3个月左右单号),正在获取运单详情
20220108_110731,顺丰快递(近3个月左右单号),当前扫码的微信号与该单号对应的寄件人或收件人手机号可能不符合,无法获取运单详情
20220108_110731,顺丰快递(近3个月左右单号),verify_ok = True
20220108_110731,顺丰快递(近3个月左右单号),单号 [Z1122-30-2021-10-GL-8] 查询用时约 21.9571 秒

20220108_110731,顺丰快递(近3个月左右单号),数据获取失败,未扣除积分!
20220108_110731,顺丰快递(近3个月左右单号),所有快递单号查询结束,总用时约 5 分钟

共以下 1 个回答

# 回答此问题

后才能回答